Modifier un réglage
curl --request PATCH \
--url https://api.saspay.me/api/v1/merchant-configs/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "false"
}
'import requests
url = "https://api.saspay.me/api/v1/merchant-configs/{id}/"
payload = { "value": "false" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'false'})
};
fetch('https://api.saspay.me/api/v1/merchant-configs/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c1d2e3f4-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
"merchant": "8a2f3c10-9b4e-4a1d-8c3f-1e2d3c4b5a6f",
"key": "ALLOW_CLIENT_OVERRIDE",
"value": "false",
"type": "boolean",
"description": "Autoriser le client à choisir qui paie les frais",
"created_at": "2026-07-01T09:00:00Z",
"updated_at": "2026-07-01T09:00:00Z"
}Marchand
Modifier un réglage
Met à jour la valeur, le type ou la description d’un merchant-config
PATCH
/
merchant-configs
/
{id}
/
Modifier un réglage
Authorizations
Clé API secrète du marchand — header Authorization: Bearer sk_live_xxx (ou sk_test_xxx en environnement de test).
Path Parameters
Identifiant du merchant-config
Body
application/json
Response
Réglage mis à jour
⌘I